#
# spec file for package perl-Convert-ASN1
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Convert-ASN1
Version:        0.27
Release:        6.1
%define cpan_name Convert-ASN1
Summary:        Asn.1 Encode/Decode Library
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Convert-ASN1/
Source:         http://www.cpan.org/authors/id/G/GB/GBARR/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
Patch0:         Convert-ASN1-0.22-test.diff
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Math::BigInt) >= 1.997
BuildRequires:  perl(Test::More) >= 0.90
%{perl_requires}

%description
Convert::ASN1 encodes and decodes ASN.1 data structures using BER/DER
rules.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog examples LICENSE mkparse OldChanges parser.y README.md

%changelog
* Wed Apr 15 2015 coolo@suse.com
- updated to 0.27
  see /usr/share/doc/packages/perl-Convert-ASN1/ChangeLog
  0.27 -- Wed Jun 25 13:47:28 CDT 2014
  * Avoid recursion when encountering an invalid tag and length
  * Avoid negative repetition counts (5.22 compatibility) [Alex Vandiver]
  * Use pack/unpack instead of chr/org to avoid encoding issues
- obsolete Convert-ASN1-0.22-path.diff
* Mon Jun  3 2013 coolo@suse.com
- updated to 0.26
  * Avoid Modification of a read-only value attempted errors
  * dump Data::Dumper strings when rtest fails
  * Add tests from Crypt::X509 that found the last Modification of a read-only value attempted error
  * fix a spelling mistake [gregor herrmann]
  * Add use strict and fix errors
  * Fix decoding of indefinite sequences with ANY
  * POD additions for ANY
  * EXPLICIT ops must pass their cVAR to their child op
  * Swallow a , after a }
  * spelling fix [gregor herrmann]
  * Added tests for extension markers (fails currently) [Niels Laukens]
  * Bugfix for extension markerss in SETs and CHOICEs [Niels Laukens]
  * Skip attempting to encode opEXTENSIONS inside of CHOICE
  * Support for default explicit tagging [Peter Mogensen]
  * Added tests and doc for explicit tagging [Peter Mogensen]
  * Add new opEXPLICIT for sequences that are inserted for EXPLICIT tags
  * Added support for EXTENSION MARKERS (...) (Niels Laukens)
  * Switch to Dist::Zilla for building
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Nov 24 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
- removed Obsoletes/Provides p_casn1
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Oct  6 2008 anicka@suse.cz
- update to 0.22
  * Fix decoding of OIDs with large value for 2nd element
  * Support for SEQUENCE with no elements in ASN.1
  * Added ability to define what value is put in perl data
  structory when decoding NULL elements
* Wed Feb 14 2007 anicka@suse.cz
- update to 0.21
  * Fixed problem with indefinite encoding inside an indefinite
  encoding
  * Added support for type-local ANY DEFINED BY
* Wed Jul 12 2006 anicka@suse.cz
- update to 0.20
  * Fixed issues with decoding when calling script contains use encoding 'utf8'
  * Allow zero-length timestamps to be extracted
  * Fix incorrect length encoding for bitstrings
  * Support encoding bigint's as BCD
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 29 2005 mjancar@suse.cz
- update to 0.19
* Thu Oct 30 2003 mjancar@suse.cz
- update to 0.18
- drop obsolete patches
- no root for build
* Tue Sep  9 2003 mls@suse.de
- use chr(xx & 0xff) in _encode.pm, otherwise we get unicode
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Aug  7 2003 mjancar@suse.cz
- fix tests that depend on certain order of entries
  in a hash (it is random in perl 5.8.1)
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Thu Jun 19 2003 mjancar@suse.cz
- update to 0.17
- fix filelist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Thu Oct 17 2002 prehak@suse.cz
- updated to version 0.16
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Tue Jan 22 2002 rvasice@suse.cz
- update to version 0.15
* Thu Jan  3 2002 cihlar@suse.cz
- update to version 0.14
* Fri Aug  3 2001 rvasice@suse.cz
- update to version 0.12
* Tue Mar 13 2001 cihlar@suse.cz
- update to version 0.08
- fixed file list
* Fri Nov 10 2000 cihlar@suse.cz
- renamed p_casn1 -> perl-Convert-ASN1
* Tue Aug 22 2000 cihlar@suse.cz
- package created
